import request from '@/utils/request'

// 查询积分订单日志列表
export function listIntegralOrderLog(query) {
  return request({
    url: '/system/IntegralOrderLog/list',
    method: 'get',
    params: query
  })
}

// 查询积分订单日志详细
export function getIntegralOrderLog(id) {
  return request({
    url: '/system/IntegralOrderLog/' + id,
    method: 'get'
  })
}

// 新增积分订单日志
export function addIntegralOrderLog(data) {
  return request({
    url: '/system/IntegralOrderLog',
    method: 'post',
    data: data
  })
}

// 修改积分订单日志
export function updateIntegralOrderLog(data) {
  return request({
    url: '/system/IntegralOrderLog',
    method: 'put',
    data: data
  })
}

// 删除积分订单日志
export function delIntegralOrderLog(id) {
  return request({
    url: '/system/IntegralOrderLog/' + id,
    method: 'delete'
  })
}
